.header {
    position: fixed;
    width: 100%;
    top: 0;
    background-color: $headerBackground;
    padding: 33px 0;
    z-index: 3;

    @media (max-width: 1024px) {
        padding: 24px 0;
    }

    @media (max-width: 576px) {
        padding: 18px 0;
    }
   
    .header__wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;

        .logo {
            @include logo;
        }

        .burger__button {
            display: none;
            width: auto;
            height: auto;

            span {
                display: block;
                width: 30px;
                height: 2px;
                background-color: $white;
                position: relative;
            }
                
            @media (max-width: 768px) {
                display: flex;
                flex-direction: column;
                gap: 7px;
            }
        }

        .nav__menu {
            display: flex;
            gap: 60px;
            position: relative;
            transition: 0.4s ease;

            @media (max-width: 1024px) {
                gap: 40px;
            }

            @media (max-width: 768px) {
                position: absolute;
                flex-direction: column;
                background-color: $darkBlue;
                top: 0px;
                right: -100%;
                height: 100vh;
                padding: 3rem 4rem 3rem 3rem;
            }

            .menu__button {
                position: absolute;
                display: none;
                top: 15px;
                right: 15px;

                @media (max-width: 768px) {
                    display: block;
                } 
            }
    
            .nav__link {
                @include navLink;
            }
        }

        .nav__menu--show {
            right: 0;
        }
    }
}